### Class

# FwupdPlugin IfwiFptFirmware

#### Description [src]

    class FwupdPlugin.IfwiFptFirmware : FwupdPlugin.Firmware {
      parent_instance: FuFirmware
    }

An Intel Flash Program Tool (aka FPT) header can be found in IFWI (Integrated Firmware Image) firmware blobs which are used in various Intel products using an IPU (Infrastructure Processing Unit).

This could include hardware like SmartNICs, GPUs, camera and audio devices.

See also: `FuFirmware`

#### Ancestors

- FuFirmware
- GObject

#### Constructors

###### fu_ifwi_fpt_firmware_new

Creates a new `FuFirmware` of Intel Flash Program Tool format.

Available since: 1.8.2

#### Instance methods

##### Methods inherited from FuFirmware (67)

Please see FuFirmware for a full list of methods.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Properties

##### Properties inherited from FuFirmware (1)

###### FwupdPlugin.Firmware:parent

The firmware parent.

Available since: 1.8.2

#### Signals

##### Signals inherited from GObject (1)

###### GObject.Object::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct FwupdPluginIfwiFptFirmwareClass {
      FuFirmwareClass parent_class;

    }

###### Class members

`parent_class`

    FuFirmwareClass

| No description available.